## medium_put

### Use

You create a new backup template or change the data for a backup template that already exists.

The properties of the backup template defined in this way are stored in the configuration file dbm.mmm of the Database Manager.

The directory defined using the property location/device, in which the backup template is to be created, must already exist. The backup template is not created physically until it is first used for a backup.

See also:

Database Administration Tutorial, Defining Backup Templates

Concepts of the Database System, Backup Templates and Data Carriers, Configuration Files

### Prerequisites

You have the server authorization Backup.

### Syntax

medium_put <medium_name> <location> <type> <backup_type> [<size> [<block_size> [<overwrite> [<autoloader> [<os_command> [<tool_type>]]]]]]

Options

Option | Description

<medium_name>

The name of the backup template may comprise a group name and a member name.

These are separated by an inverse oblique (\).

<medium_name> ::= [<group_name>\]<member_name>

To create a backup template for a group of parallel backup media, execute the DBM command several times over. To assign the media to the same group, always enter the same <group_name>, with a different <member_name> for each back up templates.

<location>

Name of the device/file with which it can be addressed through operating system functions.

The system assigns the version numbers for the backup files for log backups.

Note the standards for different types (<type>) of backup templates under different operating systems:

Standards for backup template of type PIPE

on UNIX:

You can select any path you want. If you enter a relative path, the backup template is stored in the working directory of the database instance ([<path>/]<file_name>).

on Microsoft Windows:

The path must comply with this convention: \\.\pipe\<pipe_name>.

Standards for backup template of type FILE

on UNIX:

You can enter an absolute or relative path. An absolute path must start with an oblique (/). If you enter a relative path, it is interpreted as relative to the working directory of the database instance.

on Microsoft Windows:

You must enter an absolute path as follows:

\\<computer_name>\<share>\[<path>\]<file_name>

or with the drive:

<drive>:\[<path>]\<file_name>

If you enter a relative path, it is interpreted as relative to the working directory of the database instance.

Standards for backup template of type TAPE

on UNIX:

You must enter an absolute path.

on Microsoft Windows:

The path must comply with this convention: \\.\tape<running_number>.

Standards for the backup tool NSR:

Enter an absolute pathname. This must be identical for both the backup and restore operations. Note that parts of the path name that represent only links are replaced with the actual directory or file name by NetWorker.

<type>

Type of backup template

Possible values for backups are:

TAPE | FILE | PIPE | UNKNOWN

Possible values for log backups are:

FILE | PIPE | UNKNOWN

Specify TAPE for backups to a non-rewindable tape, FILE for backups to a file, and PIPE for backups to a pipe. If you enter one of these template types, the system checks that your entries are correct.

If you want to avoid this check, enter the type UNKNOWN. Note, however, that log backups are only possible to files and pipes. For other file types, you will receive an error message when you save.

The system default is UNKNOWN.

<backup_type>

Type of backup for which the backup template is to be used,

Possible values are:

DATA | PAGES | LOG | AUTO

Enter DATA for a complete backup, PAGES for an incremental backup, LOG for an interactive log backup and AUTO for an automatic log backup.

Note:

There can be only one backup template of type AUTO. If a backup template for this backup type already exists and you define another medium of type AUTO, then the system changes the backup type of the existing medium to the backup type LOG.

<size>

Maximum number of pages that can be written to the data carrier.

The default value of the system is 0, that is, the size of the data carrier is not limited. The system will keep backing up to this data carrier until either the backup is complete, or the operating system does not allow further backups to this data carrier because it is full. If this happens, you receive an error message and can then continue the backup using another data carrier.

<block_size> | Number of pages transferred when the data carrier is accessed. This value is only evaluated for the data carrier type TAPE. The system default is 8.
<overwrite> | Obligatory only for the backup type FILE and only for data backups. It defines the behavior if the file already exists. Possible values are: YES | NO If you enter YES and the file already exists, it is overwritten by the new backup. If you enter NO and the file already exists, the backup fails. The system default is NO. This entry is not interpreted for log backups.
<autoloader> | Details of whether the data carrier the medium automatically. only relevant on Microsoft Windows Possible values are: YES | NO The system default is NO.
<os_command> | Operating system command to be executed before saving to a succeeding data carrier (backup_replace) or restoring a succeeding data carrier (recover_replace).

<tool_type>

Backup tool to be used.

Possible values are:

NONE: no backup tool is used.
BACK: Backint for MaxDB/ Backint for Oracle
NSR: NetWorker
TSM: TSM von IBM/Tivoli

If you are using UNIX and you enter the value NONE with PIPE as the <type>, the pipe must be created before the backup process starts. If you are using Microsoft Windows, the pipe may not yet exist.

If you enter a value other than NONE, you must enter 0 for <type> PIPE and for <size>. If you are using either UNIX or Microsoft Windows, the pipe may not exist before the backup process begins.

For NSR, note the additional information listed under <location>.

The system default is NONE.

### Reply

OK

In the event of errors, see Reply Format.